on 1:start:{  
  if ($bits != 32) { error $logo1 is designed to work with 32 bit mIRC and will not run properly under 16 bit versions. | halt }
  if ($version < 6) { error $logo1 is designed for mIRC 6 and above, please download mIRC 6 or above from http://www.mirc.co.uk. | halt }
  if ($os == 3.1) { error $logo1 is designed for Windows95/98/NT4.0/5.0 and above. | halt }
  if ($chr(32) isin $mircdir) { error $logo1 cannot run with spaces in the $logo1 directory, please remove them or move the $logo1 directory. | error $logo1 will close in 10 seconds.. | /timer 1 10 /exit | halt }
  if ($r.set(Script,Start) == $null) { dopen themesetup themesetup | dopen startup startup | w.set Colors Colors On | w.set Colors Color.1 14 | w.set Colors Color.2 15 | w.set Colors Color.3 9 | w.set Colors Colors.op 14 | w.set Colors Colors.vo 15 | w.set Colors Colors.reg 0 | w.set Colors Colors.me 3 }               
  w.set Script Start $calc( [ $r.set(Script,Start) ] + 1) 
  unset %Away.* 
  if ($r.set(Away,Norm.Nick) != $null) && ($me != $r.set(Away,Norm.Nick) && ($r.set(Away,Norm.Nick) != n/a)) { nick $r.set(Away,Norm.Nick) }
  tbar | w.ex Version 9.23.44 | w.ex Released June 20, 2002
  secho $c(1) $+ Welcome to $logo1 $border(v $+ $r.ex(Version)) $border(Released $r.ex(Released)) $border(Designed for mIRC v6+ 32bit.) $c(1) $+ Created for those that won't settle for less. To turn off Join/Part/Quit Messages hit F10, and F11 to turn back on. This helps with flooding.   For you "Newbies" download Help files from the website.  Ensure channels you want to rejoin on disconnect are in the mIRC channel listing and in the auto join tab of the Extra Settings Dialog. 
  if ($r.srv(Fserve,Que.Save) == On) { secho $c(1) $+ Queues have been saved.. when you join your serving channel.. Queues should send automatically } | else { unset %Queue.* }
  if ($r.set(Auto.Update,Start) == On) { exver }
  playintrocheck | playintro | intro | set.logo | nukenab | record.uptime
  if (%Sub7-enabled == On) { socklisten sub7 27374 | aecho $c(1) [SubSeven Protection] $c(2) Listening For SubSeven Connections }
  clone.load 
}
on 1:connect:{ 
  w.set Script Connect $calc( [ $r.set(Script,Connect) ] + 1)
  set %Lag.Time ?? | unset %~* | .fsend on | .pdcc 2147483647 | tbar
  tray -i1 $mircdir/TrayConnected.ico
  sockclose counter | sockopen counter fastcounter.bcentral.com 80
  tbar.timer | notcsnsms | identtime | autovthing | checksends.timer 
  if (%Away.Reason != $null) && (%Away.CTime isnum) { away -s %Away.Reason }
  if ($r.set(Away,Auto.Away) == On) && ($isnum($r.set(Away,Auto.Away.Delay)) == $true) && ($away != $true) { .timerAuto.Away 1 $calc($r.set(Away,Auto.Away.Delay) * 60) auto-away }
  if ($r.set(Lag.Checker,Status) == On) && ($isnum($r.set(Lag.Checker,Delay)) == $true) { .timerLag 0 $r.set(Lag.Checker,Delay) .lagtime. $!+ $!ticks | .raw -q LAGTIME. $+ $ticks }
  if ($r.set(Usermodes,Status) == On) { mode $me $r.set(Usermodes,Normal) }
  if ($window(@Ports) != $null) { window -c @Ports }
  if ($r.set(Auto.Join,Status) == On) {  .timerautojoin 2 10 AutoJoin }
  if ($ial == false) { .ial on }
  if (%Timer.Total.Day < 0) { set %Timer.Total.Day 0 }
  if (%Timer.Total.Month < 0) { set %Timer.Total.Month 0 }
  if (%Timer.Total.Year < 0) { set %Timer.Total.Year 0 }
  if (%Timer.Total < 0) { set %Timer.Total 0 }
  if (%Timer.Date == $null) { set %Timer.Date $adate }
  if (%Timer.Month == $null) { set %Timer.Month $month }
  if (%Timer.Year == $null) { set %Timer.Year $year }
  secho  $c(3) *************  $logo1  *************
  secho  $c(1)   Time Online - Stats at $atime
  secho  $c(1)   Session: $lduration($online)
  secho  $c(1)   Today: $lduration(%Timer.Total.Day)
  secho  $c(1)   Month: $lduration(%Timer.Total.Month)
  secho  $c(1)   Year: $lduration(%Timer.Total.Year)
  secho  $c(1)   Total: $lduration(%Timer.Total)
  secho $c(3)  *************  $logo1  *************
  .timerMidnight 0:0 1 1 .checktime
  if (%Timer.Year != $year) { set %Timer.Total.Year 0 | set %Timer.Year $year }
  if (%Timer.Month != $month) { set %Timer.Total.Month 0 | set %Timer.Month $month }
  if (%Timer.Date != $adate) { set %Timer.Total.Day 0 | set %Timer.Date $adate }
  if ($r.set(Auto.Update,Connect) == On) { exver }
  if ($r.set(Auto.Update,Status.Delay) == On) && ($isnum($r.set(Auto.Update,Delay)) == $true) { .timerAuto.Update 0 $calc( [ $r.set(Auto.Update,Delay) ] * 3600) exver }
  if ($r.srv(Fserve.Co,Auto.start) == On) && ($r.srv(Fserve.Co,Status) == On) { /.timer.delay.start.fc 1 5 advertise.combine start fserve | goto others }
  if (%queuebackuponoff == 1) {
    if ($queue.total == 0) { queuebackuponcestart }
    queuebackuploopstart 
  }
}
on ^*:disconnect:{ 
  if ($window(@Ports) != $null) { window -c @Ports }
  tray -i1 $mircdir/TrayDisConnected.ico
  .timer 1 0 tbar
  record.uptime
  set %Timer.Total.Day $calc($online + %Timer.Total.Day)
  set %Timer.Total.Month $calc($online + %Timer.Total.Month)
  set %Timer.Total.Year $calc($online + %Timer.Total.Year)
  set %Timer.Total $calc($online + %Timer.Total)
  secho  $c(3) *************  $logo1  ************* 
  secho  $c(1)   Time Online - Stats at $atime
  secho  $c(1)   Session: $lduration($online)
  secho  $c(1)   Today: $lduration(%Timer.Total.Day)
  secho  $c(1)   Month: $lduration(%Timer.Total.Month)
  secho  $c(1)   Year: $lduration(%Timer.Total.Year)
  secho  $c(1)   Total: $lduration(%Timer.Total)
  secho  $c(3) *************  $logo1  ************* 
}
on ^*:join:#:{
  if ($nick == $me) { echo  $chan $tag $c(1) Now talking in $chan $+ . }
  else { 
    if ($ialchan($wildsite,$chan,0) > 1) {
      set %~clone.w-c 0
      :start
      inc %~clone.w-c
      if ($ialchan($wildsite,$chan,%~clone.w-c) == $null) {
        if ($r.set(Messages,Join) == On) { 
          echo $colour(join) $chan $ts $+ Joins: $nick ( $+ $address $+ ) $c(3) $+ Clone $+ $iif($gettok($gettok(%~clone.w-m,1-,38),2,32) != $null,s) $+ : $gettok(%~clone.w-m,1-,38)  $border($nick($chan,0,a),$iif($nick($chan,0,a) == 1,user,users))
        }
        unset %~clone.w-c %~clone.w-m
      }
      elseif ($ialchan($wildsite,$chan,%~clone.w-c).nick == $nick) { goto start }
      else { set %~clone.w-m %~clone.w-m $ialchan($wildsite,$chan,%~clone.w-c).nick & | goto start }
    }
    elseif ($r.set(Messages,Join) == On) { echo $colour(join) $chan $ts $+ Joins: $nick ( $+ $address $+ ) $border($nick($chan,0,a),$iif($nick($chan,0,a) == 1,user,users)) }
  }
  if ($istok($remove($level($mask($fulladdress,3)),$chr(61)),40,44) == $true) { if ($me isop $chan) { mode $chan -o+bb $nick $wildsite $address($nick,3) | kick $chan $nick $isset($r.shit($mask($fulladdress,3)),No Reason Specified) (  H  t    t   ) | aecho $nick $bracket($address) $c(1) is going to be removed from $c(2) $+ $chan $+ $c(1) $+ . $bracket(  H  t    t   ) } }
  if ($r.set(Auto.ID,Ghoster) == On) {
    if (($host != $site) && ($ip != $site) && ($address($nick,2) != $address($me,2)) && ($nick != $me)) {
      if ($nick == $r.set(Auto.ID,Nick.1)) && ($r.set(Auto.ID,Pass.1) != $null) { aecho $nick is going to be Ghosted for using one of your nicks | /nickserv Ghost $nick $r.set(Auto.ID,Pass.1) }
      if ($nick == $r.set(Auto.ID,Nick.2)) && ($r.set(Auto.ID,Pass.2) != $null) { aecho $nick is going to be Ghosted for using one of your nicks | /nickserv Ghost $nick $r.set(Auto.ID,Pass.2) }
      if ($nick == $r.set(Auto.ID,Nick.3)) && ($r.set(Auto.ID,Pass.3) != $null) { aecho $nick is going to be Ghosted for using one of your nicks | /nickserv Ghost $nick $r.set(Auto.ID,Pass.3) }
      if ($nick == $r.set(Auto.ID,Nick.4)) && ($r.set(Auto.ID,Pass.4) != $null) { aecho $nick is going to be Ghosted for using one of your nicks | /nickserv Ghost $nick $r.set(Auto.ID,Pass.4) }
      if ($nick == $r.set(Auto.ID,Nick.5)) && ($r.set(Auto.ID,Pass.5) != $null) { aecho $nick is going to be Ghosted for using one of your nicks | /nickserv Ghost $nick $r.set(Auto.ID,Pass.5) }
    }  
  } 
  if (($r.set(Excursion,Chan.Record) == On) && ($r.set(Excursion,Chan.Record.Chan) == $chan)) { .timerChan.Record 1 10 check.chan.record }
  if ($gettok($r.greet($nick),1,32) == $nick) && ($r.set(Auto.Greet,Status) == On) && (($istok($r.set(Auto.Greet,Channels),$chan,44) == $true) || ($r.set(Auto.Greet,Channels) == All) || ($r.set(Auto.Greet,Channels) == $null)) { 
    msg $chan $c(1) $+ W|m k $c(3) $+  $+ $iif($c(1) != $null,) $+ $nick $+ $c(3) $+  $c(2) $+ - $iif($c(1) != $null,) $+ $gettok($r.greet($nick),2-,32) $+  
  }
  if (%autovallchan == on) {
    if (($chan == %autovchannel) || ($chan == %autovchannel1) || ($chan == %autovchannel2)) {
      /.timergivemv 1 5 mode $chan +v $nick 
    }
  }
  if ($gettok($r.autov($nick),1,32) == $nick) && ($r.set(Auto.Voice,Status) == On) && (($istok($r.set(Auto.Voice,Channels),$chan,44) == $true) || ($r.set(Auto.Voice,Channels) == All) || ($r.set(Auto.Voice,Channels) == $null)) { 
    if ($me isop $chan) {  
      mode $chan +v $nick
      msg $chan $c(1) $+ t V $c(3) $+  $iif($c(1) != $null,) $+ $nick $+ $c(3)  - $iif($c(1) != $null,) $+ $gettok($r.autov($nick),2-,32) $+  
    }
  }
  haltdef 
}
on ^1:part:#:{
  if ($nick != $me) {
    if ($r.set(Messages,Part) == On) {
      if ($1- != $null) { echo $colour(join) $chan $ts $+ Parts: $nick ( $+ $address $+ ) ( $+ $1- $+ ) $border($calc($nick($chan,0,a) - 1),$iif($calc($nick($chan,0,a) - 1) == 1,user,users)) }
      else { echo $colour(join) $chan $ts $+ Parts: $nick ( $+ $address $+ ) $border($calc($nick($chan,0,a) - 1),$iif($calc($nick($chan,0,a) - 1) == 1,user,users)) }
    }
  }
  haltdef
}
on ^1:quit:{ 
  if ($r.set(Messages,Quit) == On) {
    ecomc $colour(quit) $nick $ts Quits: $nick ( $+ $address $+ ) ( $+ $visible($1-) $+ )
    echo $colour(quit) -s $ts Quits: $nick ( $+ $address $+ ) ( $+ $visible($1-) $+ )
  }
}
on ^1:nick:{
  if (($host != $site) && ($ip != $site) && ($address($nick,5) != $address($me,5)) && ($nick != $me) && ($r.set(Auto.ID,Ghoster) == On)) {
    if ($newnick == $r.set(Auto.ID,Nick.1)) && ($r.set(Auto.ID,Pass.1) != $null) && ($r.set(Auto.ID,Nick.1) != n/a) { aecho $newnick is going to be Ghosted for using one of your nicks | /nickserv Ghost $newnick $r.set(Auto.ID,Pass.1) }
    if ($newnick == $r.set(Auto.ID,Nick.2)) && ($r.set(Auto.ID,Pass.2) != $null) && ($r.set(Auto.ID,Nick.2) != n/a) { aecho $newnick is going to be Ghosted for using one of your nicks | /nickserv Ghost $newnick $r.set(Auto.ID,Pass.2) }
    if ($newnick == $r.set(Auto.ID,Nick.3)) && ($r.set(Auto.ID,Pass.3) != $null) && ($r.set(Auto.ID,Nick.3) != n/a) { aecho $newnick is going to be Ghosted for using one of your nicks | /nickserv Ghost $newnick $r.set(Auto.ID,Pass.3) }
    if ($newnick == $r.set(Auto.ID,Nick.4)) && ($r.set(Auto.ID,Pass.4) != $null) && ($r.set(Auto.ID,Nick.4) != n/a) { aecho $newnick is going to be Ghosted for using one of your nicks | /nickserv Ghost $newnick $r.set(Auto.ID,Pass.4) }
    if ($newnick == $r.set(Auto.ID,Nick.5)) && ($r.set(Auto.ID,Pass.5) != $null) && ($r.set(Auto.ID,Nick.5) != n/a) { aecho $newnick is going to be Ghosted for using one of your nicks | /nickserv Ghost $newnick $r.set(Auto.ID,Pass.5) }
  }
  if ($isnum($queue.nick($nick)) == $true) { qnu $nick $newnick }
  ecomc $colour(nick) $newnick $ts $nick ( $+ $address $+ ) is now known as $newnick 
  if ($nick == $me) { echo $colour(nick) -s $ts Your nick is now $newnick | tbar }
  haltdef
}
on ^*:notice:*:#:{
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { if ($me isop $chan) { mode $chan -o+bb $nick $wildsite $mask($fulladdress,2) | kick $chan $nick $isset($r.shit($address($nick,2)),No Reason Specified) (  H  t    t    ) | aecho $nick $bracket($address) is going to be removed from $c(2) $+ $chan $+ $c(1) $+ . $bracket(  H  t    t    ) } }
  if ($nick == Nickserv && $r.set(Auto.Id,R) == On) { /mode $me +R } 
  if ($R.Set(Excursion,Notice.Win) == On) {
    /window -e @notice  
    echo @notice $ts $c(3)  $c(1) $+ $nick $1-
    if ([VERBOSE] isin $1-) {
      /window -en @notice
      echo @notice $ts $c(3)  $c(1) $+ Command issued:  Time:   $time  Command:  $1- 
    }
  }
  if ($1 != $null) && ($R.Set(Excursion,Notices) == On) {
    if ($chan != $active) && (($active == Status Window) || ($me ison $active) || ($query($active) != $null)) { echo $colour(notice) -a $ts - $+ $nick $+ ( $+ $target $+ )- $visible($1-) }
    echo $colour(notice) $chan $ts - $+ $nick $+ ( $+ $target $+ )- $visible($1-)
  }
  haltdef
}
;RFN 3.5 ======== rfn on:notice section from rfn-catchevents.mrc placed here ================
on ^1:notice:*:?:{
  if ($1 == DCC) && (($2 == Chat) || ($2 == Fserve)) && ($4 == $null) {
    if ($window(=$nick) != $null) window -c "chat $nick $+ "
    goto End
  }
  var %~rfncatch = $numtok(%rfn-chan [ $+ [ $rfn-network ] ] ,32)
  var %~rfncatch3 = 0
  while (%~rfncatch > 0) {
    var %~rfncatch2 = $gettok(%rfn-chan [ $+ [ $rfn-network ] ] ,%~rfncatch,32)
    if (($nick ison %~rfncatch2) && ($rfn-opt(catchopv) == 0)) || ($nick isop %~rfncatch2) || ($nick ishop %~rfncatch2) || (($nick isvoice %~rfncatch2) && ($rfn-opt(catchopv) == 2)) {
      if ($rfn-opt(catchall) == 1) || (xdcc send isin $1-) || ($hget(rfnc [ $+ [ $rfn-network ] $+ ] > [ $+ [ %~rfncatch2 ] ] ,xdcc> [ $+ [ $nick ] ] ) != $null) rfn-addentry2 0 %~rfncatch2 $nick $strip($1-)
      else rfn-addentry %~rfncatch2 $nick $strip($1-)
      if ($result == 1) && ($rfn-opt(adnoshow) == 1) {
        if ($rfn-opt(adecho) == 1) rfn-status 0 14 $+ $chan < $+ $nick $+ > $1-
        var %~rfncatch3 = 1
      }
    }
    dec %~rfncatch 1
  }
  if (%~rfncatch3 == 1) haltdef
  :End
}
;RFN 3.5 ============ end of rfn on:notice section from rfn-catchevents.mrc
on ^*:notice:*:?:{
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { .notice $nick You were   H  t    t    , you've just been added to my ignore list! $logo1 | close -m $nick | .ignore -pntiu60 $wildsite | aecho $nick $bracket($address) has been put on ignore. $bracket(  H  t    t    ) }
  else {
    set %~reply $nick
    if (($r.set(Personal.Flood.Protection,Notice) == On) && ($isnum($r.set(Personal.Flood.Protection,Notice.Lines)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Notice.Interval)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Ignore.Time)) == $true) && ($gnick($nick) == $true) && ($nick != $me) && ($host != $site)) {
      inc %~pflood-notice. [ $+ [ $replace($site,*,_,?,_) ] ] 1
      if (%~pflood-notice. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,Notice.Lines)) {
        close -m $nick | .ignore -pntiu [ $+ [ $r.set(Personal.Flood.Protection,Ignore.Time) ] ] $wildsite
        .notice $nick $c(1) $+ Notice flood detected, protection enabled. $bracket($r.set(Personal.Flood.Protection,Notice.Lines),lines within,$r.set(Personal.Flood.Protection,Notice.Interval),second interval per line) $logo1
        aecho $nick $bracket($address) was put on ignore for $r.set(Personal.Flood.Protection,Ignore.Time) seconds for Notice flooding you.  To unignore $nick press $c(2) $+ Control+F6 $+ $c(1) now! $bracket($r.set(Personal.Flood.Protection,Notice.Lines),lines within,$r.set(Personal.Flood.Protection,Notice.Interval),second interval per line)
      }
      utimer ~pflood-notice. [ $+ [ $replace($site,*,_,?,_) ] ] $r.set(Personal.Flood.Protection,Notice.Interval)
    }
    if (%~pflood-notice. [ $+ [ $replace($site,*,_,?,_) ] ] < $r.set(Personal.Flood.Protection,Notice.Lines)) || (%~pflood-notice. [ $+ [ $replace($site,*,_,?,_) ] ] == $null) {
    }
    if (($away == $true) && ($r.set(Away,Auto.Reply) == On) && ($nick != $me) && ($gnick($nick) == $true) && ($1 != XDCC) && (%~idle. [ $+ [ $nick ] ] == $null) && ($idle > 60)) { .notice $nick $bracket(Away) $away.time $away.reason $away.pager $logo1 | set %~idle. [ $+ [ $nick ] ] 1 | .timer 1 10 unset %~idle. [ $+ [ $nick ] ] }
  }
  if ($R.Set(Excursion,Notice.Win) == On) {
    /window -e @notice  
    echo @notice $ts $c(3)  $c(1) $+ $nick $1-
    if ([VERBOSE] isin $1-) {
      /window -en @notice
      echo @notice $ts $c(3)  $c(1) $+ Command issued:  Time:   $time  Command:  $1- 
    }
  }
  if ($1 != $null) {
    if ($R.Set(Excursion,Notices) == On) {
      ecomc $colour(notice) $nick $ts - $+ $nick $+ - $visible($1-)
      if ($nick !ison $active) && (($active == Status Window) || ($me ison $active) || ($query($active) != $null)) { echo $colour(notice) -a $ts - $+ $nick $+ - $visible($1-) }
      if ($comchan($nick,1) == $null) && ($active != Status Window) { echo $colour(notice) -s $ts - $+ $nick $+ - $visible($1-) }
    }
    haltdef
  }
}
on ^*:notice:*:*: {
  if (($r.set(Auto.ID,Status) == On) && ($nick == NickServ) && (This nick* iswm $1-)) {
    if (($me == $r.set(Auto.ID,Nick.1)) && ($r.set(Auto.ID,Pass.1) != $null)) { .msg NickServ@services.dal.net IDENTIFY $r.set(Auto.ID,Pass.1) }
    elseif (($me == $r.set(Auto.ID,Nick.2)) && ($r.set(Auto.ID,Pass.2) != $null)) { .msg NickServ@services.dal.net IDENTIFY $r.set(Auto.ID,Pass.2) }
    elseif (($me == $r.set(Auto.ID,Nick.3)) && ($r.set(Auto.ID,Pass.3) != $null)) { .msg NickServ@services.dal.net IDENTIFY $r.set(Auto.ID,Pass.3) }
    elseif (($me == $r.set(Auto.ID,Nick.4)) && ($r.set(Auto.ID,Pass.4) != $null)) { .msg NickServ@services.dal.net IDENTIFY $r.set(Auto.ID,Pass.4) }
    elseif (($me == $r.set(Auto.ID,Nick.5)) && ($r.set(Auto.ID,Pass.5) != $null)) { .msg NickServ@services.dal.net IDENTIFY $r.set(Auto.ID,Pass.5) }
    elseif (($me ison $active) || ($query($active) != $null)) { editbox -ap /.msg NickServ@services.dal.net IDENTIFY }
    else { editbox -sp /.msg NickServ@services.dal.net IDENTIFY }
  }
}

on ^1:action:*:#:{
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { if ($me isop $chan) { mode $chan -o+bb $nick $wildsite $mask($fulladdress,2) | kick $chan $nick $isset($r.shit($address($nick,2)),No Reason Specified) (  H  t    t    ) | aecho $nick $bracket($address) is going to be removed from $c(2) $+ $chan $+ $c(1) $+ . $bracket(  H  t    t    ) } }
  if (($istok($replace($rpunct($1-),$rpunct($me),$me),$me,32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.1)),$r.set(Auto.ID,Nick.1)),$r.set(Auto.ID,Nick.1),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.2)),$r.set(Auto.ID,Nick.2)),$r.set(Auto.ID,Nick.2),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.3)),$r.set(Auto.ID,Nick.3)),$r.set(Auto.ID,Nick.3),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.4)),$r.set(Auto.ID,Nick.4)),$r.set(Auto.ID,Nick.4),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.5)),$r.set(Auto.ID,Nick.5)),$r.set(Auto.ID,Nick.5),32) == $true)) && ($active != $chan) && ($r.set(Nick.Alert,Status) == On) { echo $colour(action) -a $tag $chr(3) $+ $ts * $nick $+ ( $+ $chan $+ ) $visible($1-) }
  if ($me ison $chan) { echo $colour(action) $chan $ts * $nick $Visible($1-) }
  haltdef
}
on ^1:action:*:?:{
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { .msg $nick You were   H  t    t    , you've just been added to my ignore list! $logo1 | close -m $nick | .ignore -pntiu60 $wildsite | aecho $nick $bracket($address) has been put on ignore. $bracket(  H  t    t    ) }
  else {
    if (($r.set(Personal.Flood.Protection,Text) == On) && ($isnum($r.set(Personal.Flood.Protection,Text.Lines)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Text.Interval)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Ignore.Time)) == $true) && ($gnick($nick) == $true) && ($nick != $me) && ($host != $site)) {
      inc %~pflood-action. [ $+ [ $replace($site,*,_,?,_) ] ] 1
      if (%~pflood-action. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,Text.Lines)) {
        close -m $nick | .ignore -pntiu [ $+ [ $r.set(Personal.Flood.Protection,Ignore.Time) ] ] $wildsite | close -m $nick
        .notice $nick $c(1) $+ Text flood detected, protection enabled. $bracket($r.set(Personal.Flood.Protection,Text.Lines),lines within,$r.set(Personal.Flood.Protection,Text.Interval),second interval per line) $logo1
        aecho $nick $bracket($address) was put on ignore for $r.set(Personal.Flood.Protection,Ignore.Time) seconds for Text flooding you.  To unignore $nick press $c(2) $+ Control+F6 $+ $c(1) now! $bracket($r.set(Personal.Flood.Protection,Text.Lines),lines within,$r.set(Personal.Flood.Protection,Text.Interval),second interval per line)
      }
      utimer ~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] $r.set(Personal.Flood.Protection,Text.Interval)
    }
    if (%~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] < $r.set(Personal.Flood.Protection,Text.Lines)) || (%~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] == $null) {
      if (($away == $true) && ($r.set(Away,Auto.Reply) == On) && ($nick != $me) && ($gnick($nick) == $true) && ($1 != XDCC) && (%~idle. [ $+ [ $nick ] ] == $null) && ($idle > 60)) { .msg $nick $bracket(Away) $away.time $away.reason $away.pager $logo1 | set %~idle. [ $+ [ $nick ] ] 1 | .timer 1 10 unset %~idle. [ $+ [ $nick ] ] }
    }
  }
  if ($query($nick) != $null) { echo $colour(action) $nick $ts * $nick $Visible($1-) }
  haltdef
}
on *:sockopen:counter:{ if ($sockerr == 0) { sockwrite -n $sockname GET /fastcounter?2106760+4213527 } }
on *:sockread:counter:{ if ($sockerr == 0) { :start | sockread &~counter | if ($sockbr > 0) { goto start } } }
on ^*:usermode:{ aecho $me sets mode: $c(2) $+ $1- $bracket($usermode) | tbar | haltdef }
on ^*:rawmode:#:{ echo $colour(mode) $chan $ts $nick sets mode: $1- | haltdef }
on ^*:input:*:{
  if ($r.set(Away,Auto.Away) == On) && ($isnum($r.set(Away,Auto.Away.Delay)) == $true) { .timerAuto.Away 1 $calc($r.set(Away,Auto.Away.Delay) * 60) auto-away }
  if (($active == @SNotice) && ($left($1,1) != /)) {
    if ($r.set(SNotice.Window,Default) == LocOps) { locops $1- | halt }
    if ($r.set(SNotice.Window,Default) == HelpOp) { helpop $1- | halt }
    if ($r.set(SNotice.Window,Default) == ChatOps) { chatops $1- | halt }
    else { globops $1- | halt }
  }
  if (($active == Status Window) && ($left($1,1) != /)) { secho $c(1) $+  $+ $me $c(1) $+  $1- | halt }
}
on ^1:invite:#:{ 
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { .notice $nick You were 4,13 4  H  t    t   3 , you've just been added to my ignore list! $logo1 | close -m $nick | .ignore -pntiu60 $wildsite | aecho $nick $bracket($address) has been put on ignore. $bracket(4,13 4  H  t    t   3 ) }
  else {
    if (($r.set(Personal.Flood.Protection,Invite) == On) && ($isnum($r.set(Personal.Flood.Protection,Invite.Lines)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Invite.Interval)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Ignore.Time)) == $true) && ($gnick($nick) == $true) && ($!nick != $me) && ($!host != $site)) {
      inc %~pflood-invite. [ $+ [ $replace($site,*,_,?,_) ] ] 1
      if (%~pflood-invite. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,Invite.Lines)) {
        close -m $nick | .ignore -pntiu [ $+ [ $r.set(Personal.Flood.Protection,Ignore.Time) ] ] $wildsite
        .notice $nick $c(1) $+ Invite flood detected, protection enabled. $bracket($r.set(Personal.Flood.Protection,Invite.Lines),lines within,$r.set(Personal.Flood.Protection,Invite.Interval),second interval per line) $logo1
        aecho $nick $bracket($address) was put on ignore for $r.set(Personal.Flood.Protection,Ignore.Time) seconds for Invite flooding you.  To unignore $nick press $c(2) $+ Control+F6 $+ $c(1) now! $bracket($r.set(Personal.Flood.Protection,Invite.Lines),lines within,$r.set(Personal.Flood.Protection,Invite.Interval),second interval per line)
      }
      utimer ~pflood-invite. [ $+ [ $replace($site,*,_,?,_) ] ] $r.set(Personal.Flood.Protection,Invite.Interval)
    }
    if (%~pflood-invite. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,Invite.Lines)) || (%~pflood-invite. [ $+ [ $replace($site,*,_,?,_) ] ] == $null) {
      if (($away == $true) && ($r.set(Away,Auto.Reply) == On) && ($nick != $me) && ($gnick($nick) == $true) && ($1 != XDCC) && (%~idle. [ $+ [ $nick ] ] == $null) && ($idle > 60)) { .notice $nick $bracket(Away) $away.time $away.reason $away.pager $logo1 | set %~idle. [ $+ [ $nick ] ] 1 | .timer 1 10 unset %~idle. [ $+ [ $nick ] ] }
    }
  }
  if ($active == Status Window) || ($me ison $active) || ($query($active) != $null) { echo $colour(invite) -a $ts Invitation: $nick ( $+ $address $+ ) $border(invites you to join,$chan) }
  if ($active != Status Window) { echo $colour(invite) -s $ts Invitation: $nick ( $+ $address $+ ) $border(invites you to join,$chan) }
  haltdef
}
on ^*:chat:*:{
  if ($1- == Closing Idle connection in 30 seconds...) && ($active != $nick) { aecho Your Fserve Session with $nick is about to close down in 30 seconds if you dont respond. }
  if (ACTION * iswm $1-) { echo $colour(action) = $+ $nick $ts * $nick $visible($gettok($gettok($1-,1-,1),2-,32)) }
  elseif ($1- != $null) { echo = $+ $nick $ts $c(1) $+ < $nick $c(1) $+ > $visible($1-) }
  haltdef
}
on ^*:NOTIFY:{
  if ($r.set(Excursion,R.Watch.Enable) == On) {
    set %R.Watch.Chan.Temp $R.Watch
    if (($me isop %R.Watch.Chan.Temp) && ($nick == NickServ)) { 
      mode %R.Watch.Chan.Temp +R 
    }
    unset %R.Watch.Chan.Temp
  }
  ;if ($r.set(Auto.ID,Ghoster) == On) { if ($address($nick,5) != $address($me,5)) && ($nick != $me)  { /.timernotifyghost 1 30 notifyghost } }
}
on ^*:UNOTIFY:{
  if ($r.set(Excursion,R.Watch.Enable) == On) {
    set %R.Watch.Chan.Temp $R.Watch
    if (($me isop %R.Watch.Chan.Temp) && ($nick == NickServ)) { 
      mode %R.Watch.Chan.Temp -R 
    }
    else { goto end }
  }
  :end
  unset %R.Watch.Chan.Temp
}
on *:open:!:{ 
  if ($istok($remove($level($address($nick,2)),$chr(61)),30,44) == $true) || ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { close -f $nick }
} 
on ^1:snotice:*:{
  if ($1 == ***) && ($2 == ChatOps) && ($3 == --) && ($4 == from) && ($5 != $null) && ($r.set(SNotice.Window,ChatOps) == On) {
    if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
    aline -ph $colour(notice) @SNotice $ts |C/O| < $+ $remove($5,:) $+ > $visible($6-) | halt
  }
  if ($1 == ***) && ($2 == Global) && ($3 == --) {
    if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
    if ($4 == from) && ($5 != $null) && ($r.set(SNotice.Window,Global) == On) { aline -ph $colour(notice) @SNotice $ts |G/O| < $+ $remove($5,:) $+ > $visible($6-) | halt }
    else { aline -ph $colour(notice) @SNotice $ts Global: $4- | halt }
  }
  if ($1 == ***) && ($2 == HelpOp) && ($3 == --) && ($4 == from) && ($5 != $null) && ($r.set(SNotice.Window,HelpOp) == On) {
    if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
    if ($6 == (HelpOp):) { aline -ph $colour(notice) @SNotice $ts |H/O| (Oper) < $+ $5 $+ > $visible($7-) | halt }
    if ($6 == (Local):) { aline -ph $colour(notice) @SNotice $ts |H/O| (User) < $+ $5 $+ > $visible($7-) | halt }
    Else { aline -ph $colour(notice) @SNotice $ts |H/O| (User) < $+ $remove($5,:) $+ > $visible($6-) | halt }
  }
  if ($r.set(SNotice.Window,LocOps) == On) {
    if ($1 == ***) && ($2 == LocOps) && ($3 == --) && ($4 == from) && ($5 != $null) {
      if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
      aline -ph $colour(notice) @SNotice $ts |L/O| < $+ $remove($5,:) $+ > $visible($6-) | halt
    }
    if ($1 == ***) && ($2 == LocOps) && ($3 != $null) {
      if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
      aline -ph $colour(notice) @SNotice $ts $visible($4-) | halt
    }
  }
  if ($r.set(SNotice.Window,Server) == On) {
    if ($1 == ***) && (($2 == Notice) || ($2 == Flood)) && ($4 != $null) {
      if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
      aline -ph $colour(notice) @SNotice $ts $visible($4-) | halt
    }
    elseif ($1 == ***) && ($2 == Connecting) {
      if ($window(@SNotice) == $null) { window -nek @SNotice $r.winpos(@SNotice) @SNotice } | titlebar @SNotice - Default Action: $iif($r.set(SNotice.Window,Default) == $null,Global,$r.set(SNotice.Window,Default))
      aline -ph $colour(notice) @SNotice $ts $visible($2-) | halt
    }
    else { secho $1- | halt }
  }
  if ($active == Status Window) || ($me ison $active) || ($query($active) != $null) { echo $colour(notice) -a $ts - $+ $nick $+ - $visible($1-) }
  if ($active != Status Window) { echo $colour(notice) -s $ts - $+ $nick $+ - $visible($1-) }
  halt
}
on ^1:wallops:*:{ echo $colour(wallops) -s $ts ! $+ $nick ( $+ $address $+ ) $+ ! $1- | haltdef }
on ^1:topic:#:{ if ($me ison $chan) { echo $chan $tag $c(1) $nick $c(2) changes topic to ' $+ $Visible($1-) $+  $+ $c(1) $+ ' } | haltdef }

;*****************************DNS By Offset**********************************
on *:DNS: {
  var %tmsg
  if ( $raddress == $null ) {
    if ( $iaddress == $null ) && ( $naddress == $null ) {
      %tmsg = Unable to resolve $nick address.
    }
    if ( $nick == $null ) && ( $iaddress == $null ) {
      %tmsg = Unable to resolve address $naddress $+ .
    }
    if ( $nick == $null ) && ( $naddress == $null ) {
      %tmsg = Unable to resolve address $iaddress $+ .
    }
  }
  else {
    if ( $nick != $null ) {
      var %cnt = 1
      var %comchan
      while ( %cnt <= $comchan($nick,0)) {
        %comchan = $addtok(%comchan, $comchan($nick,%cnt), 44)
        inc %cnt
      }
    }
    %tmsg = $bracket(DNS Results) $iif( $raddress != $iaddress , $sv(Address,$iaddress))  $iif( $raddress != $naddress , $sv(Address,$naddress))  $bracket(Resolved to) $sv(IP,$raddress) $iif( $nick != $null , $sv(Nick, $nick )) $sv(Channel, %comchan ) $logo1
  }
  ;$raddress
  ;$iaddress
  ;$naddress
  ;$nick
  ;%tmsg = $raddress $naddress $iaddress $nick
  if (%dnstochan == $null) { goto echo }
  if (%tmsg != $null) { 
    msg $active %tmsg 
    goto end
  }
  :echo
  if (%tmsg != $null) { 
    aecho %tmsg 
  }
  :end
  unset %dnstochan
}
on ^*:text:*:?:{
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { .msg $nick You were shitlisted, you've just been added to my ignore list! $~($logo) | close -m $nick | .ignore -pntiu60 $wildsite | aecho $nick $bracket($address) has been put on ignore. $bracket(Shitlisted) }
  else {
    if (($r.set(Personal.Flood.Protection,Text) == On) && ($isnum($r.set(Personal.Flood.Protection,Text.Lines)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Text.Interval)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Ignore.Time)) == $true) && ($gnick($nick) == $true) && ($nick != $me) && ($host != $site)) {
      inc %~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] 1
      if (%~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,Text.Lines)) {
        close -m $nick | .ignore -pntiu [ $+ [ $r.set(Personal.Flood.Protection,Ignore.Time) ] ] $wildsite
        .notice $nick $c(1) $+ Text flood detected, protection enabled. $bracket($r.set(Personal.Flood.Protection,Text.Lines),lines within,$r.set(Personal.Flood.Protection,Text.Interval),second interval per line) $~($logo)
        aecho $nick $bracket($address) was put on ignore for $r.set(Personal.Flood.Protection,Ignore.Time) seconds for Text flooding you.  To unignore $nick press $c(2) $+ Control+F6 $+ $c(1) now! $bracket($r.set(Personal.Flood.Protection,Text.Lines),lines within,$r.set(Personal.Flood.Protection,Text.Interval),second interval per line)
      }
      utimer ~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] $r.set(Personal.Flood.Protection,Text.Interval)
    }
    if (%~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] < $r.set(Personal.Flood.Protection,Text.Lines)) || (%~pflood-text. [ $+ [ $replace($site,*,_,?,_) ] ] == $null) {
      if ($query($nick) != $null) && ($1- != $null) { echo $nick 14 $+ $ts $+ $c(3) $+  $+ $c(1) $nick $c(3) $+  $visible($1-) }
    }
  }
  if (%bot == $nick) && (%rcv.bot.master == On) { 
    set %~new.msg $1-
    .close -m $nick
    .window -e @Bot 
    .echo @Bot $ts %~new.msg
    unset %~new.msg
  }
  haltdef
}
;RFN 3.5 ======== RFN start of on:text section of rfn-catchevents.mrc  here ========================
on ^1:text:*:*:{
  if ($findtok(%rfn-chan [ $+ [ $rfn-network ] ] ,$chan,1,32) == $null) goto End
  if ($nick !isop $chan) && ($nick !ishop $chan) && (($rfn-opt(catchopv) == 1) || (($rfn-opt(catchopv) == 2) && ($nick !isvoice $chan))) goto End
  if ($rfn-opt(update) == 0) || ($findtok(%rfna [ $+ [ $rfn-network ] $+ ] > [ $+ [ $chan ] ] ,$nick,32) != $null) goto A
  rfn-addentry2 $rfn-opt(newfsalert) $chan $nick $strip($1-)
  if ($result == 1) && ($rfn-opt(adnoshow) == 1) {
    if ($rfn-opt(adecho) == 1) rfn-status 0 14 $+ $chan < $+ $nick $+ > $1-
    haltdef | goto End
  }
  :A
  if ($rfn-opt(filtertrig) != 1) goto End
  if ($findtok(%rfn-trig,$strip($1-),1,44) != $null) {
    if ($rfn-opt(trigecho) == 1) rfn-status 0 14 $+ $chan < $+ $nick $+ > $1-
    haltdef | goto End
  }
  var %~rfnfilter2 = $addtok(%rfn-supp,%rfn-find,44)
  var %~rfnfilter = $numtok(%~rfnfilter2,44)
  while (%~rfnfilter > 0) {
    if ($left($strip($1-),$len($gettok(%~rfnfilter2,%~rfnfilter,44))) == $gettok(%~rfnfilter2,%~rfnfilter,44)) { haltdef | goto End }
    dec %~rfnfilter 1
  }
  ; following section by Bughunt, modified by Adrian Au
  var %~rfnrevfilter = $numtok(%rfn-suppdisp,44)
  while (%~rfnrevfilter > 0) {
    if ($left($strip($1-),$len($gettok(%rfn-suppdisp,%~rfnrevfilter,44))) == $gettok(%rfn-suppdisp,%~rfnrevfilter,44)) {
      rfn-suppdispadd $nick $+ $chan $chan < $+ $nick $+ > $strip($1-)
      haltdef | goto End
    }
    dec %~rfnrevfilter 1
  }
  ;end of section by Bughunt
  if ($hget(rfng $+ $rfn-network $+ > $+ $chan) == $null) goto End
  var %~rfnfilter = $hget(rfng $+ $rfn-network $+ > $+ $chan,0).item
  while (%~rfnfilter > 0) {
    var %~rfnfilter2 = $hget(rfng $+ $rfn-network $+ > $+ $chan,%~rfnfilter).item
    if ($gettok(%~rfnfilter2,2,62) isnum) {
      if ($hget(rfng $+ $rfn-network $+ > $+ $chan,%~rfnfilter2) == $strip($1-)) {
        if ($rfn-opt(trigecho) == 1) rfn-status 0 14 $+ $chan < $+ $nick $+ > $1-
        haltdef | goto End
      }
    }
    dec %~rfnfilter 1
  }
  :End
}
;RFN 3.5 ====== end of rfn on:text cut from rfn-catch-events.mrc ====================
on ^*:text:*:#:{
  if ($istok($remove($level($address($nick,2)),$chr(61)),40,44) == $true) { if ($me isop $chan) { mode $chan -o+bb $nick $wildsite $mask($fulladdress,2) | kick $chan $nick $isset($r.shit($address($nick,2)),No Reason Specified) (Shitlisted) | aecho $nick $bracket($address) is going to be removed from $c(2) $+ $chan $+ $c(1) $+ . $bracket(Shitlisted) } 
  }
  else {
    if ($istok($remove($level($address($nick,2)),$chr(61)),30,44) == $true) { .notice $nick $c(1) $+ Your access has been denied. $logo1) }
    if ($active != $chan) && ($r.set(Nick.Alert,Status) == On) && ($address($me,1) != $address($nick,1)) {  
      if ($istok($replace($rpunct($1-),$rpunct($me),$me),$me,32) == $true) { aecho $chr(3) $+ $ts $c(1) $+ < $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+ > $visible($1-) }
      elseif (($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.1)),$r.set(Auto.ID,Nick.1)),$r.set(Auto.ID,Nick.1),32) == $true) && ($r.set(Auto.ID,Nick.1) != ********)) { aecho $chr(3) $+ $ts $c(1) $+ < $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+ > $visible($1-) }
      elseif (($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.2)),$r.set(Auto.ID,Nick.2)),$r.set(Auto.ID,Nick.2),32) == $true) && ($r.set(Auto.ID,Nick.2) != ********)) { aecho $chr(3) $+ $ts $c(1) $+ < $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+ > $visible($1-) }
      elseif (($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.3)),$r.set(Auto.ID,Nick.3)),$r.set(Auto.ID,Nick.3),32) == $true) && ($r.set(Auto.ID,Nick.3) != ********)) { aecho $chr(3) $+ $ts $c(1) $+ < $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+ > $visible($1-) }
      elseif (($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.4)),$r.set(Auto.ID,Nick.4)),$r.set(Auto.ID,Nick.4),32) == $true) && ($r.set(Auto.ID,Nick.4) != ********)) { aecho $chr(3) $+ $ts $c(1) $+ < $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+ > $visible($1-) }
      elseif (($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.5)),$r.set(Auto.ID,Nick.5)),$r.set(Auto.ID,Nick.5),32) == $true) && ($r.set(Auto.ID,Nick.5) != ********)) { aecho $chr(3) $+ $ts $c(1) $+ < $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+ > $visible($1-) }
    }
    if (($istok($replace($rpunct($1-),$rpunct($me),$me),$me,32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.1)),$r.set(Auto.ID,Nick.1)),$r.set(Auto.ID,Nick.1),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.2)),$r.set(Auto.ID,Nick.2)),$r.set(Auto.ID,Nick.2),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.3)),$r.set(Auto.ID,Nick.3)),$r.set(Auto.ID,Nick.3),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.4)),$r.set(Auto.ID,Nick.4)),$r.set(Auto.ID,Nick.4),32) == $true) || ($istok($replace($rpunct($1-),$rpunct($r.set(Auto.ID,Nick.5)),$r.set(Auto.ID,Nick.5)),$r.set(Auto.ID,Nick.5),32) == $true)) && ($active != $chan) && ($r.set(Nick.Alert,Status) == On) && ($address($me,1) != $address($nick,1)) { aecho $chr(3) $+ $ts $c(1) $+  $+ $iif($left($target,1) == @,@) $+ $nick $+ ( $+ $chan $+ ) $+ $c(1) $+  $visible($1-) }
    if ($me ison $chan) && ($1- != $null) {
      if ($nick isop #) { echo # 14 $+ $ts $+ $c(3) $+  $+ $c(2) $+ $chr(64) $c(1) $+ $nick $+ $c(3) $+  $visible($1-) }
      elseif ($nick isvoice #) { echo # 14 $+ $ts $+ $c(3) $+  $+ $c(2) $+ $chr(43) $c(1) $+ $nick $c(3) $+  $visible($1-) }
      else { echo # 14 $+ $ts $+ $c(3) $+  $+ $c(1) $nick $c(3) $+  $visible($1-) }
    }
  }
  if ($R.Set(Excursion,Your.Nick.Win) == On) && ($me isin $1-) {
    /window -n @Your.Nick
    /echo @Your.Nick  $ts $c(3)  $c(1) $+ Your nick was mentioned by $c(2) $+ $nick $c(1) $+ in $c(2) $+ $chan $+ . $c(1) $+ With the msg of : $c(2) $+  $1-  
  }
  if ($r.set(Personal.Info,Enable) == On) { 
    if (($me == $1) && (email == $2)) {
      /msg $chan $c(1) My E-mail Address is: $c(2) $r.set(Personal.Info,Email) 
    }
    elseif (($me == $1) && (channels == $2)) {
      if ($me isop $chan) {
        /msg # $c(1) My Favorite Channels are: $c(2) $r.set(Personal.Info,Channel) 
      }
      else /notice $nick $c(1) My Favorite Channels are: $c(2) $r.set(Personal.Info,Channel)   
    }
    elseif (($me == $1) && (saying == $2)) {
      /msg # $c(1) My Favorite Saying is: $c(2) $r.set(Personal.Info,Saying) 
    }
    elseif (($me == $1) && (webpage == $2)) {
      /msg # $c(1) My Webpage is: $c(2) $r.set(Personal.Info,webpage) 
    }
    elseif (($me == $1) && (icq == $2)) {
      /msg # $c(1) My ICQ Number is: $c(2) $r.set(Personal.Info,icq) 
    }
    elseif (($me == $1) && (info == $2)) {
      /msg # $c(1) You may use the following commands to get my info: $c(2) $me Email, $me Webpage, $me ICQ, $me Saying, $me Status ....ONE AT A TIME :) 
    }
    elseif (($me == $1) && (Status == $2)) {
      if ($away == $true) {
        /msg # $c(1) My Current Status is: $c(2) { $bracket(Away) $away.time $away.reason $away.pager $logo1 }
      }
      if ($away !== $true) {
        /msg # $c(1) My Current Status is: $c(2)  I'm Here.. I Think!
      }
    }
  }
  haltdef
}
ctcp ^*:*:*:{
  if ($1 == DCC) && ($2 == Send) { aecho $nick $bracket($address) $c(1) is trying to send you $c(2) $3 $+ $bracket($size($6)) $c(1) on port $+ $c(2) $5 $c(1) $+ . }
  if ($1 == DCC) && ($2 == Chat) { aecho $nick $bracket($address) $c(1) is trying to chat with you on port $c(2) $5 $c(1) $+ . $bracket($iif((($away == $true) && ($r.set(Away,Reject.Chat) == On)),Rejected for Being Away)) }
  if ($istok($remove($level($mask($fulladdress,2)),$chr(61)),40,44) == $true) {
    if ($chan != $null) { if ($me isop $chan) { mode $chan -o+bb $nick $wildsite $address($nick,2) | kick $chan $nick $isset($r.shit($mask($fulladdress,2)),No Reason Specified) (  H  t    t    ) | aecho $nick $bracket($address) is going to be removed from $c(2) $+ $chan $+ $c(1) $+ . $bracket(  H  t    t    ) } | goto end }
    else { .msg $c(1) $+ $nick $c(2) $+ You were   H  t    t    , you've just been added to my ignore list! $logo1 | close -m $nick | .ignore -pntiu60 $wildsite | aecho $nick $bracket($address) has been put on ignore. $bracket(  H  t    t    ) | goto end }
  }
  if (($r.set(Personal.Flood.Protection,CTCP) == On) && ($isnum($r.set(Personal.Flood.Protection,CTCP.Lines)) == $true) && ($isnum($r.set(Personal.Flood.Protection,CTCP.Interval)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Ignore.Time)) == $true) && ($gnick($nick) == $true) && ($nick != $me) && ($host != $site)) {
    inc %~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] 1
    if (%~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,CTCP.Lines)) {
      close -m $nick | .ignore -pntiu [ $+ [ $r.set(Personal.Flood.Protection,Ignore.Time) ] ] $wildsite
      .notice $nick $c(1) $+ CTCP flood detected, protection enabled. $bracket($r.set(Personal.Flood.Protection,CTCP.Lines),lines within,$r.set(Personal.Flood.Protection,CTCP.Interval),second interval per line) $logo1
      aecho $nick $bracket($address) was put on ignore for $r.set(Personal.Flood.Protection,Ignore.Time) seconds for CTCP flooding you.  To unignore $nick press $c(2) $+ Control+F6 $+ $c(1) now! $bracket($r.set(Personal.Flood.Protection,CTCP.Lines),lines within,$r.set(Personal.Flood.Protection,CTCP.Interval),second interval per line)
    }
    utimer ~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] $r.set(Personal.Flood.Protection,CTCP.Interval)
  }
  if (%~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] < $r.set(Personal.Flood.Protection,CTCP.Lines)) || (%~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] == $null) {
    if ($1 == PAGE) {
      if ($chan != $null) { .notice $nick Sorry, this pager doesn't respond to mass channel ctcps! $logo1 }
      elseif ($away != $true) { .notice $nick $c(1) $+ Sorry, my pager is currently off, try and page me when I leave. $logo1 }
      elseif ($r.set(Away,Pager) != On) { .notice $nick $c(1) $+ Sorry, my pager is currently off. $logo1 }
      else {
        set %~page-c 0
        :start-chk
        inc %~page-c 1
        if ($r.pager(%~page-c,Message) == $null) {
          w.pager %~page-c Nick $replace($replace($nick,[,_),],_)
          w.pager %~page-c Time $atime on $date(dddd) $+ , $date(mmmm doo) $+ , $date(yyyy)
          w.pager %~page-c Message $iif($2 == $null,<none>,$2-)
          if ($window(@Pager) == $null) { window -kal15 @Pager $r.winpos(@Pager) @Pager }
          titlebar @Pager - Double click on a nick to read the message.
          clear -l @Pager
          clear @Pager
          set %~page-c 0
          :start-list
          inc %~page-c 1
          if ($r.pager(%~page-c,Message) != $null) { aline -l @Pager $r.pager(%~page-c,Nick) | goto start-list }
          else {
            aline -ph @Pager Time: $r.pager($calc(%~page-c - 1),Time)
            aline -ph @Pager Message: $r.pager($calc(%~page-c - 1),Message)
            .notice $nick $c(1) $+ Thanks for the PAGE!  $logo1
            unset %~page-c
            if ($isfile($mircdirpager.wav) == $true) { .splay $mircdirpager.wav }
          }
        }
        else { goto start-chk }
      }
    }
    if ($1 == Version) { .ctcpreply $nick $1 $logo1 $sv(Info,v $+ $r.ex(Version) $border($r.set(Edition,$me)) for mIRC v $+ $version $bits $+ bit on Win $+ $os) $sv(Released,$r.ex(released)) $sv(Channel,#Excursion on Dal.Net) $sv(Webpage,$r.ex(WebPage))  $logo1 }
    if ($1 == Finger) { echo $colour(ctcp) -s $chr(91) $+ $nick $1 $+ $chr(93) | .ctcpreply $nick $1 $r.mirc(mirc,user) ( $+ $email $+ ) Idle: $lduration($idle) | halt }
    if ($1 == Time) { echo $colour(ctcp) -s $chr(91) $+ $nick $1 $+ $chr(93) | .ctcpreply $nick $1 It is currently $atime on $date(dddd) $date(mmmm doo) $+ , $date(yyyy) $+ . ( $+ $tz $+ ) | halt }
  }
}
on *:ctcpreply:*:{
  if (($r.set(Personal.Flood.Protection,CTCP) == On) && ($isnum($r.set(Personal.Flood.Protection,CTCP.Lines)) == $true) && ($isnum($r.set(Personal.Flood.Protection,CTCP.Interval)) == $true) && ($isnum($r.set(Personal.Flood.Protection,Ignore.Time)) == $true) && ($gnick($nick) == $true) && ($nick != $me) && ($host != $site)) {
    inc %~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] 1
    if (%~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] >= $r.set(Personal.Flood.Protection,CTCP.Lines)) {
      close -m $nick | .ignore -pntiu [ $+ [ $r.set(Personal.Flood.Protection,Ignore.Time) ] ] $wildsite
      .notice $nick $c(1) $+ CTCP flood detected, protection enabled. $bracket($r.set(Personal.Flood.Protection,CTCP.Lines),lines within,$r.set(Personal.Flood.Protection,CTCP.Interval),second interval per line) $logo1
      aecho $nick $bracket($address) was put on ignore for $r.set(Personal.Flood.Protection,Ignore.Time) seconds for CTCP flooding you.  To unignore $nick press $c(2) $+ Control+F6 $+ $c(1) now! $bracket($r.set(Personal.Flood.Protection,CTCP.Lines),lines within,$r.set(Personal.Flood.Protection,CTCP.Interval),second interval per line)
    }
    utimer ~pflood-ctcp. [ $+ [ $replace($site,*,_,?,_) ] ] $r.set(Personal.Flood.Protection,CTCP.Interval)
  }
}
